package com.btcpiyush.ads.google_applovin_unity_ads.api

import com.google.gson.annotations.SerializedName

data class AppLovinSetting(
    @SerializedName("sdk_key") var appLovinSdkKey: String? = null,
    @SerializedName("is_unlimited_ads") var isUnlimitedAds: Boolean? = false,
    @SerializedName("is_applovin") var isApplovin: Boolean? = null,
    @SerializedName("id_unit_banner") var appLovinBannerID: String? = null,
    @SerializedName("id_unit_native_multiple") var appLovinNativeID: AppLovinNativeAd? = null,
    @SerializedName("id_unit_native") var appNativeID: String? = null,
    @SerializedName("rewared_ads_unit_id") var appLovinRewardedID: String? = null,
    @SerializedName("id_unit_intra") var appLovinInterestialID: String? = null,
    @SerializedName("is_banner_ads") var isBannerAds: Boolean? = null,
    @SerializedName("is_interstitial_ads") var isInterstitialAds: Boolean? = null,
    @SerializedName("is_rewared_ads") var isRewardedAds: Boolean? = null,
    @SerializedName("is_native_ads") var isNativeAds: Boolean? = null
)
