package com.btcpiyush.ads.google_applovin_unity_ads.api

import com.google.gson.annotations.SerializedName

data class GoogleAdsSetting(
    @SerializedName("banner_ad_unit_id_android") var bannerId: String? = null, //= "/6499/example/banner",
    @SerializedName("interstitial_ad_unit_id_android") var interstitialId: String? = null,
    @SerializedName("rewared_ads_unit_id") var rewardedId: String? = null,
    @SerializedName("app_open_ad_unit_id_android") var appOpenId: String? = null,
    @SerializedName("native_ads_unit_id_android") var nativeId: String? = null,
    @SerializedName("native_video_ads_unit_id_android") var nativeVideoId: String? = null,
    @SerializedName("is_banner_ads") var isBannerAds: Boolean? = null,
    @SerializedName("is_open_ads") var isOpenAds: Boolean? = null,
    @SerializedName("is_interstitial_ads") var isInterstitialAds: Boolean? = null,
    @SerializedName("is_rewared_ads") var isRewardedAds: Boolean? = null,
    @SerializedName("is_native_ads") var isNativeAds: Boolean? = null,
    @SerializedName("visibility_percentage") var visibilityPercentage: Int? = null,
    @SerializedName("no_of_click_interstitial") var interstitialInterval: Int = 0,
    var interstitialIntervalCount: Int = 0
)
