package com.btcpiyush.ads.google_applovin_unity_ads

import android.app.Dialog
import android.content.Context
import android.graphics.drawable.ColorDrawable
import android.os.Bundle
import android.view.LayoutInflater
import android.view.WindowManager
import com.btcpiyush.ads.google_applovin_unity_ads.databinding.DialogProgressbarBinding

data class ProgressDialog(val cntxt: Context, val title: String = "Ads will loading...") :
    Dialog(cntxt) {
    private var dialogbinding: DialogProgressbarBinding? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        dialogbinding = DialogProgressbarBinding.inflate(LayoutInflater.from(cntxt))
        dialogbinding?.let {
            setContentView(it.root)
            it.progressbarLabel.text = title
        }
        setCanceledOnTouchOutside(false)
        val layoutParams = WindowManager.LayoutParams()
        layoutParams.copyFrom(window?.attributes)
        layoutParams.width = WindowManager.LayoutParams.WRAP_CONTENT
        layoutParams.height = WindowManager.LayoutParams.WRAP_CONTENT
        window?.attributes = layoutParams
        setCancelable(false)
        window?.setBackgroundDrawable(ColorDrawable(android.graphics.Color.TRANSPARENT))
    }
}