package com.btcpiyush.ads.google_applovin_unity_ads.api

import com.btcpiyush.ads.google_applovin_unity_ads.api.AboutAppSetting
import com.google.gson.annotations.SerializedName

data class AppSettings (
    @SerializedName("app_logo")
    var appLogo: String? = null,
    @SerializedName("app_title")
    var appTitle: String? = null,
    @SerializedName("more_app_url")
    var moreAppUrl: String? = null,
    @SerializedName("extra_url")
    var extraUrl: String? = null,
    @SerializedName("iptv_player_url")
    var iptvUrl: String? = null,
    @SerializedName("ad_setting")
    var adSetting: AdSetting? = null,
    @SerializedName("app_update")
    var appUpdate: AppUpdateSetting? = null,
    @SerializedName("exit_dialog")
    var exitDialogs: ExitDialogSetting? = null,
    @SerializedName("rate_app")
    var rateApp: RateAppSetting? = null,
    @SerializedName("About_App")
    var aboutApp: AboutAppSetting? = null,
    @SerializedName("share_app")
    var shareApp: ShareAppSetting? = null,
    @SerializedName("privacy_policy")
    var privacyPolicy: PrivacyPolicySetting? = null,
    @SerializedName("terms_of_use")
    var termsOfUse: TermsOfUseSetting? = null,
    @SerializedName("error_report")
    var errorReportSupport: ErrorReportSetting? = null,
    @SerializedName("feedback_support")
    var feedbackSupport: FeedbackSetting? = null,
    @SerializedName("ads_sequence")
    var adsSequence: ArrayList<String> = arrayListOf(),
    @SerializedName("google_ads")
    var googleAds: GoogleAdsSetting? = null,
    @SerializedName("extra_google_ads")
    var extraGoogleAds: ArrayList<GoogleAdsSetting?>? = null,
    @SerializedName("facebook_ads")
    var facebookAds: FacebookAdsSetting? = null,
    @SerializedName("custom_ads")
    var customAds: CustomAdsSetting? = null,
    @SerializedName("app_lovin")
    var appLovin: AppLovinSetting? = null,
    @SerializedName("unity_ads")
    var unityAds: UnityAdsSetting? = null
)